KTextEditor::SelectionExtDCOPInterface Class Reference

`#include <selectionextdcopinterface.h>`

Inheritance diagram for KTextEditor::SelectionExtDCOPInterface:

## Public Member Functions

| SelectionExtDCOPInterface (SelectionInterfaceExt *parent, const char *name)
Public Member Functions inherited from DCOPObject
| DCOPObject (QObject *obj)
| DCOPObject (const QCString &objId)
QCString | objId () const
bool | setObjId (const QCString &objId)
virtual bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual bool | processDynamic (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual QCStringList | functionsDynamic ()
virtual QCStringList | interfacesDynamic ()
virtual QCStringList | interfaces ()
virtual QCStringList | functions ()
void | emitDCOPSignal (const QCString &signal, const QByteArray &data)
bool | connectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot, bool Volatile)
bool | disconnectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot)
DCOPClient * | callingDcopClient ()

## Additional Inherited Members

Static Public Member Functions inherited from DCOPObject
static bool | hasObject (const QCString &objId)
static DCOPObject * | find (const QCString &objId)
static QPtrList< DCOPObject > | match (const QCString &partialId)
static QCString | objectName (QObject *obj)

## Detailed Description

DCOP interface for the SelectionInterfaceExt.

Author
  Anders Lund ander.nosp@m.s@al.nosp@m.web.d.nosp@m.k

Definition at line 36 of file selectionextdcopinterface.h.

## Member Function Documentation

int SelectionExtDCOPInterface::selEndCol | ( |  | ) |

The selection end col.

Definition at line 111 of file selectioninterfaceext.cpp.

int SelectionExtDCOPInterface::selEndLine | ( |  | ) |

The selection end line.

Definition at line 106 of file selectioninterfaceext.cpp.

int SelectionExtDCOPInterface::selStartCol | ( |  | ) |

The selection start col.

Definition at line 101 of file selectioninterfaceext.cpp.

int SelectionExtDCOPInterface::selStartLine | ( |  | ) |

The selection start line number.

Definition at line 96 of file selectioninterfaceext.cpp.

The documentation for this class was generated from the following files:

- selectionextdcopinterface.h
- selectioninterfaceext.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys